#!/bin/sh

#This script is to find and remove the oldest logfile on the SD card.
#For determination of the oldes file the modification date of the files are used. 

#Get the filename from the oldest file
filenames=$(find /opt/card/ -name "*_LAN*.xml" -or -name "*_TP*.xml" | sort )

if [ "$filenames" != "" ]; then

filename=$(echo "$filenames" | xargs ls -tr | head -n1 )

#Remove the file
rm -f $filename

#Save value of operation for returning. 
err=$?

#To clean up empty directories get directory path
filedir=$(dirname $filename)

#If the directory is empty, delete it
if [ "$(ls -A $filedir)" == "" ]; then
	rmdir -p $filedir
fi

fi
exit $err